企业空间 采购商城 存储论坛
华为全闪存阵列 IBM云计算 Acronis 安克诺斯 安腾普 腾保数据
首页 > 网络安全 > 正文

Netflix发现了导致Linux内核崩溃的漏洞SACK Panic

2019-07-02 14:35来源:中国存储网
导读:最糟糕的是CVE-2019-11477或“SACK Panic”,它是一个整数溢出漏洞,影响自2.6.29以来的所有Linux内核。

Linux安全方面有一些坏消息和好消息。坏消息是在Linux和FreeBSD中发现了四个新的安全漏洞,其中一个漏洞造成Linux内核崩溃。好消息是容易修补错误,并且在应用补丁之前,可以使用变通方法。

Linux中的安全漏洞通常是安全公司的研究人员发现的,他们希望公开证明他们的moxy。然而,这一次,Netflix的工程经理Jonathan Looney宣布了这一消息。很明显,流媒体服务希望确保没有任何东西阻止其客户狂热地观看最新一季的“指定幸存者”。

根据Netflix在GitHub上的一篇文章,这些都是FreeBSD和Linux内核中的TCP网络漏洞,以最小段大小和TCP选择性确认功能为中心。没有任何漏洞似乎使数据面临风险。

这些漏洞中最糟糕的是CVE-2019-11477或“SACK Panic”,它是一个整数溢出漏洞,影响自2.6.29以来的所有Linux内核,或者自2009年3月以来发布的所有Linux版本。顾名思义,这里有攻击者可以使用一系列SACK来创建Linux内核崩溃,这需要重新启动以进行恢复。 

另一个错误,CVE-2019-11478,实际上涵盖了两个相关的漏洞。“超额资源使用”会影响所有版本的Linux,并使攻击者可以发送精心设计的SACK序列,这将破坏TCP重传队列。影响4.15之前发布的内核版本的“SACK Slowness”利用相同的漏洞利用进一步利用碎片队列来为后续的SACK接收相同的TCP连接。

类似的漏洞,CVE-2019-5599,也称为“SACK Slowness”,使用RACK TCP Stack影响FreeBSD 12。

最终的错误CVE-2019-11479或“由于MSS值较低而导致的过多资源消耗”会影响所有Linux版本。通过利用它,攻击者可以强制Linux内核将其响应分段为多个8字节TCP段,从而大大增加了提供相同数据量所需的带宽,同时还消耗了额外的CPU和NIC处理能力。

后者的好消息是,这次攻击需要攻击者继续努力,并且在攻击者停止发送流量后不久它的影响就会结束。

这些问题的修复程序已经合并到内核中,很快就会出现在内核点发布中。Netflix的GitHub顾问页面提供了变通方法。

继续阅读
关键词 :
Netflix Linux漏洞
相关阅读
产品推荐
头条阅读
栏目热点

Copyright @ 2006-2018 ChinaStor.COM 版权所有 京ICP备14047533号

中国存储网

存储第一站,存储门户,存储在线交流平台